Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.cls
Class SwitchClassDefinitionResourceDisplayPlugin

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.cls.SwitchClassDefinitionResourceDisplayPlugin

All Implemented Interfaces:
  ResourceDisplayPlugin

    public class SwitchClassDefinitionResourceDisplayPlugin

extends Object
implements ResourceDisplayPlugin

Author:
  Holger Knublauch

Field Summary
`static boolean` | `showWarning`

Constructor Summary
`SwitchClassDefinitionResourceDisplayPlugin()`

Method Summary
`static String` | `getDefaultClassView()`
`void` | `initResourceDisplay(RDFResource resource, JPanel hostPanel)` Called whenever a new instance is displayed in a ResourceDisplay.
`static void` | `setClassesView(edu.stanford.smi.protege.util.PropertyList sources, String activeClassName)`
`static void` | `setDefaultClassesView(String activeClassName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### showWarning

    public static boolean showWarning

Constructor Detail

### SwitchClassDefinitionResourceDisplayPlugin

    public SwitchClassDefinitionResourceDisplayPlugin()

Method Detail

### getDefaultClassView

    public static String getDefaultClassView()

### initResourceDisplay

    public void initResourceDisplay(RDFResource resource,
                                    JPanel hostPanel)

  Description copied from interface: `ResourceDisplayPlugin`
  Called whenever a new instance is displayed in a ResourceDisplay. This method should check the type of the Resource, and depending on this add components to the hostPanel (which is the container of arbitrary components in the bottom right area of the screen.

  Specified by:
    `initResourceDisplay` in interface `ResourceDisplayPlugin`
  Parameters:
    `resource` - the currently selected Frame
    `hostPanel` - the JPanel that can be modified

### setClassesView

    public static void setClassesView(edu.stanford.smi.protege.util.PropertyList sources,
                                      String activeClassName)

### setDefaultClassesView

    public static void setDefaultClassesView(String activeClassName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.